# Uses of Enum
com.fasterxml.jackson.core.json.JsonReadFeature

Packages that use JsonReadFeature
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.

## Uses of JsonReadFeature in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core with parameters of type JsonReadFeature
Modifier and Type
Method
Description
`JsonFactoryBuilder`
JsonFactoryBuilder.`configure(JsonReadFeature f, boolean state)`
`B`
TSFBuilder.`configure(JsonReadFeature f, boolean state)`
`JsonFactoryBuilder`
JsonFactoryBuilder.`disable(JsonReadFeature f)`
`JsonFactoryBuilder`
JsonFactoryBuilder.`disable(JsonReadFeature first, JsonReadFeature... other)`
`B`
TSFBuilder.`disable(JsonReadFeature f)`
`B`
TSFBuilder.`disable(JsonReadFeature first, JsonReadFeature... other)`
`JsonFactoryBuilder`
JsonFactoryBuilder.`enable(JsonReadFeature f)`
`JsonFactoryBuilder`
JsonFactoryBuilder.`enable(JsonReadFeature first, JsonReadFeature... other)`
`B`
TSFBuilder.`enable(JsonReadFeature f)`
`B`
TSFBuilder.`enable(JsonReadFeature first, JsonReadFeature... other)`

## Uses of JsonReadFeature in com.fasterxml.jackson.core.json

Methods in com.fasterxml.jackson.core.json that return JsonReadFeature
Modifier and Type
Method
Description
`static JsonReadFeature`
JsonReadFeature.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsonReadFeature[]`
JsonReadFeature.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.